# complement.hh File Reference

Complementation algorithm for Boolean automata. More...

Include dependency graph for complement.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
void | complement_here (Element< A, AI > &a)
| Complement in place the set of final states.
template<typename A , typename AI >
Element< A, AI > | complement (const Element< A, AI > &a)
| Complement the set of final states.

## Detailed Description

Complementation algorithm for Boolean automata.

See also:
  complement(), complement_here()

Definition in file complement.hh.